NSParserInternal::Variable Struct Reference

Internal structure: use to store a numbering, a variable or a version. More...

## Public Member Functions

| Variable (NSStruct::VariableType type=NSStruct::V_None)
| Constructor. More...
bool | isDate () const
| returns true if this is a date More...
std::string | getDateFormat () const
| returns the date format More...

## Public Attributes

int | m_type
| the main type More...
NSStruct::VariableType | m_containerType
| the container type More...
long | m_fieldType
| the variable type More...
int | m_refId
| the reference id More...
libmwaw::NumberingType | m_numberingType
| the numbering type More...
int | m_startNumber
| the start number More...
int | m_increment
| the increment More...
std::string | m_prefix
| the prefix More...
std::string | m_suffix
| the suffix More...
int | m_dateFormat
| the date format More...
std::string | m_sample
| a sample used in a dialog ? More...
std::string | m_extra
| some extra debuging information More...

## Friends

std::ostream & | operator<< (std::ostream &o, Variable const &num)
| operator<< More...

## Detailed Description

Internal structure: use to store a numbering, a variable or a version.

## Constructor & Destructor Documentation

NSParserInternal::Variable::Variable | ( | NSStruct::VariableType | type = `NSStruct::V_None` | ) |

inline

Constructor.

## Member Function Documentation

std::string NSParserInternal::Variable::getDateFormat | ( |  | ) | const

inline

returns the date format

Referenced by NSParser::readVariable().

bool NSParserInternal::Variable::isDate | ( |  | ) | const

inline

returns true if this is a date

Referenced by getDateFormat().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Variable const & | num
| ) |  |

friend

operator<<

## Member Data Documentation

NSStruct::VariableType NSParserInternal::Variable::m_containerType

the container type

Referenced by NSParserInternal::operator<<(), and NSParser::readVariable().

int NSParserInternal::Variable::m_dateFormat

the date format

Referenced by getDateFormat(), NSParserInternal::operator<<(), and NSParser::readVariable().

std::string NSParserInternal::Variable::m_extra

some extra debuging information

Referenced by NSParserInternal::operator<<().

long NSParserInternal::Variable::m_fieldType

the variable type

Referenced by isDate(), NSParserInternal::operator<<(), and NSParser::readVariable().

int NSParserInternal::Variable::m_increment

the increment

Referenced by NSParser::getReferenceData(), NSParserInternal::operator<<(), and NSParser::readVariable().

libmwaw::NumberingType NSParserInternal::Variable::m_numberingType

the numbering type

Referenced by NSParserInternal::operator<<(), and NSParser::readVariable().

std::string NSParserInternal::Variable::m_prefix

the prefix

Referenced by NSParser::getReferenceData(), NSParserInternal::operator<<(), and NSParser::readVariable().

int NSParserInternal::Variable::m_refId

the reference id

Referenced by NSParser::getReferenceData(), NSParserInternal::operator<<(), and NSParser::readVariable().

std::string NSParserInternal::Variable::m_sample

a sample used in a dialog ?

Referenced by NSParserInternal::operator<<(), and NSParser::readVariable().

int NSParserInternal::Variable::m_startNumber

the start number

Referenced by NSParserInternal::operator<<(), and NSParser::readVariable().

std::string NSParserInternal::Variable::m_suffix

the suffix

Referenced by NSParser::getReferenceData(), NSParserInternal::operator<<(), and NSParser::readVariable().

int NSParserInternal::Variable::m_type

the main type

Referenced by NSParser::getReferenceData(), NSParserInternal::operator<<(), and NSParser::readVariable().

The documentation for this struct was generated from the following file:

- NSParser.cxx